from chempy import Substance
import tkinter as tk


window = tk.Tk()
window.title("Molar Mass Bullshit")
window.geometry("1000x300")
window.config(padx = 10,
              pady = 10)

y = 0
compoundvar = tk.StringVar()


def cari_massa():
    if not compoundvar.get():
        output_molar.config(text = "Field must not be empty")
    else:
        compound_molar = compoundvar.get()
        molar_mass = round(Substance.from_formula(compound_molar).molar_mass(),3)
        output_molar.config(text = "The molar mass of " + Substance.from_formula(compound_molar).unicode_name + " is " + str(molar_mass))


label_compound = tk.Label(window,
                         text = "Input the molecule",
                         font = ("Comic Sans MS", 32, "bold"))
input_compound = tk.Entry(window,
                         textvariable = compoundvar,
                         font = ("Comic Sans MS", 32, "bold"))
submit = tk.Button(window,
                   text = "Submit",
                   font = ("Comic Sans MS", 32, "bold"),
                   width = 20,
                   command = cari_massa)
output_molar = tk.Message(window,
                          text = "",
                          font = ("Comic Sans MS", 16, "bold"),
                          width = 900)


label_compound.grid(row = 1,
                   column = 0,
                   padx = 5,
                   pady = 5)
input_compound.grid(row = 1,
                   column = 1,
                   padx = 5,
                   pady = 5)
submit.grid(row = 2,
            column = 1,
            padx = 5,
            pady = 5)
output_molar.grid(row = 3,
                  column = 0,
                  columnspan = 2)


window.mainloop()
